﻿namespace SafeCampus.Application.Services.Business.ClassRoomCallService;

public class ClassRoomCallSearch:BasePageInput
{
    /// <summary>
    /// 任务id
    /// </summary>
    public string TaskId { get; set; }
    /// <summary>
    /// 预警类型
    /// </summary>
    public string AlarmType { get; set; }
    /// <summary>
    /// 人员跟踪id
    /// </summary>
    public string TrackId { get; set; }
    /// <summary>
    /// 关联底库id  如果为空，表示该人员未匹配到底库
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 事件开始时间
    /// </summary>
    public DateTime? StartTick { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    public DateTime? EndTick { get; set; }
}