﻿namespace SafeCampus.Application.Services.Business.ClassRoomCallTaskService;

public class ClassRoomCallTaskAdd
{
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 点名持续时间，单位为分钟，取值[1, 100]
    /// </summary>
    public int ContinueTime { get; set; }
    /// <summary>
    /// 人员底库id
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 匹配相似度阈值（如果没传，系统默认用0.5）
    /// </summary>
    public float Similarity { get; set; }
}