﻿namespace SafeCampus.Application.Services.Business.PassengerFlowService.Dto;

public class PassengerFlowDto
{
    /// <summary>
    /// 主键Id
    /// </summary>
    public  long Id { get; set; }

    /// <summary>
    /// 分片Json信息
    /// </summary>
    public  string ExtJson { get; set; }
    /// <summary>
    /// 查询时间
    /// </summary>
    public DateTime QueryTime { get; set; }
    /// <summary>
    /// 开始时间
    /// </summary>
    public DateTime StartTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    public DateTime EndTime { get; set; }
    /// <summary>
    /// 摄像头id列表
    /// </summary>
    public string[] CameraIds { get; set; }
    /// <summary>
    /// 摄像头名称列表
    /// </summary>
    public string[] CameraNames { get; set; }
    /// <summary>
    /// 分片类型
    /// </summary>
    public bool Split { get; set; }
    /// <summary>
    /// 总数
    /// </summary>
    public int Total { get; set; }
}