﻿namespace SafeCampus.System;
[SugarTable("PersonSetInfo", TableDescription = "班级信息表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
[IgnoreInitTable]
public class PersonSetInfo
{
    /// <summary>
    /// 班级id
    /// </summary>
    [SugarColumn(ColumnDescription = "班级id", IsPrimaryKey = true)]
    public string PersonSetId { get; set; }
    /// <summary>
    /// 班级名称
    /// </summary>
    [SugarColumn(ColumnName = "PersonSetName", ColumnDescription = "班级名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string PersonSetName { get; set; }
    /// <summary>
    /// 班主任信息
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(ClassTeacher.PersonSetId),nameof(PersonSetId))]
    public ClassTeacher ClassTeacherItem { get; set; }
}