﻿
// 








namespace SafeCampus.System;

/// <summary>
/// 事件总线常量
/// </summary>
public class EventSubscriberConst
{
    #region AuthEventSubscriber

    /// <summary>
    /// B端登录
    /// </summary>
    public const string LOGIN_B = "B端登录";

    /// <summary>
    /// B端登录
    /// </summary>
    public const string LOGIN_OUT_B = "B端登出";

    #endregion AuthEventSubscriber

    #region UserEventSubscriber

    /// <summary>
    /// 清除用户缓存
    /// </summary>
    public const string CLEAR_USER_CACHE = "清除用户缓存";

    /// <summary>
    /// 清除组织下用户Token
    /// </summary>
    public const string CLEAR_ORG_TOKEN = "清除组织下用户Token";

    /// <summary>
    /// 清除模块下用户Token
    /// </summary>
    public const string CLEAR_MODULE_TOKEN = "清除模块下用户Token";

    #endregion UserEventSubscriber

    #region NoticeEventSubscriber

    /// <summary>
    /// 通知用户下线
    /// </summary>
    public const string USER_LOGIN_OUT = "通知用户下线";

    /// <summary>
    /// 新消息
    /// </summary>
    public const string NEW_MESSAGE = "新消息";

    #endregion NoticeEventSubscriber
}
