﻿namespace SafeCampus.Web.Core.Controllers.Application.Business.Dto.Person;

public class PersonModel
{
    /// <summary>
    /// 人员id
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 姓名
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 年龄
    /// </summary>
    public int Age { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    public string Gender { get; set; }
    /// <summary>
    /// 手机号
    /// </summary>
    public string Phone { get; set; }
    /// <summary>
    /// 扩展数据
    /// </summary>
    public string ExData { get; set; }
    /// <summary>
    /// 人脸图片列表
    /// </summary>
    public List<Faces> Faces { get; set; }
    /// <summary>
    /// 班级id
    /// </summary>
    public string PersonSetId { get; set; }
}

public class Faces
{
    public string faceUrl { get; set; }
    public string faceId { get; set; }
}
public enum GenderType
{
    /// <summary>
    /// 未知
    /// </summary>
    [Description("GENDER_UNKNOWN")]
    UNKNOWN,
    /// <summary>
    /// 男
    /// </summary>
    [Description("GENDER_MALE")]
    MALE,
    /// <summary>
    /// 女
    /// </summary>
    [Description("GENDER_FEMALE")]
    FEMALE
}