﻿namespace SafeCampus.Application.Services.Business.AttendanceService;

public class AttendanceSearch:BasePageInput
{
    /// <summary>
    /// 人员跟踪id
    /// </summary>
    public string TrackId { get; set; }
    /// <summary>
    /// 关联底库id  如果为空，表示该人员未匹配到底库
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 是否自动上报
    /// </summary>
    public bool? IsAuto { get; set; }
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 事件发生时间开始
    /// </summary>
    public DateTime? StartTick { get; set; }
    /// <summary>
    /// 事件发生时间结束
    /// </summary>
    public DateTime? EndTick { get; set; }
}