﻿namespace SafeCampus.Application.Services.Business.ClassTeacherService;

public class ClassTeacherDto
{
    public long Id { get; set; }
    /// <summary>
    /// 班主任用户id
    /// </summary>
    public long UserId { get; set; }
    /// <summary>
    /// 班级id
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 班主任名称
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 班主任联系方式
    /// </summary>
    public string Phone { get; set; }
}
public class ClassTeacherDtoMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<ClassTeacher, ClassTeacherDto>()
            //.Map(dest => dest.CameraName, src => src.CameraId.GetDescriptionByEnum<CameraType>());
            .Map(dest => dest.Name, src => src.SysUserItem.Name)
            .Map(dest => dest.Phone, src => src.SysUserItem.Phone);
    }
}