﻿using SafeCampus.Application.Services.Business.PassengerFlowService.Dto;

namespace SafeCampus.Application.Services.Business.PassengerFlowService;

public interface IPassengerFlowService : ITransient
{
    /// <summary>
    /// 添加客流查询任务
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(PassengerFlowDto input);
    /// <summary>
    /// 分页查询列表
    /// </summary>
    /// <param name="search"></param>
    /// <returns></returns>
    Task<SqlSugarPagedList<PassengerFlowDto>> GetPageList(PassengerFlowSearch search);
}