﻿
// 








namespace SafeCampus.Cache;

/// <summary>
/// Redis常量
/// </summary>
public class CacheConst
{
    /// <summary>
    /// Redis Key前缀(可删除)
    /// </summary>
    public const string CACHE_PREFIX_WEB = "SafeCampusWeb:";

    /// <summary>
    /// Redis Key前缀(需要持久化，不随系统重启删除)
    /// </summary>
    public const string CACHE_PREFIX = "SafeCampus:";

    /// <summary>
    /// Redis Hash类型
    /// </summary>
    public const string CACHE_HASH = "Hash";

    /// <summary>
    /// 用户Token缓存Key
    /// </summary>
    public const string CACHE_USER_TOKEN = CACHE_PREFIX + "UserToken";
}
