﻿
// 








using Microsoft.Extensions.Configuration;
using MoYu.ConfigurableOptions;

namespace SafeCampus.Core;

public class AppInfoOptions : IConfigurableOptionsListener<AppInfoOptions>
{
    /// <summary>
    /// 深象智能API_Host
    /// </summary>
    public string SXAPIURL { get; set; }
    /// <summary>
    /// AppKey
    /// </summary>
    public string AppKey { get; set; }
    /// <summary>
    /// AppSecret
    /// </summary>
    public string AppSecret { get; set; }
    /// <summary>
    /// 场所ID
    /// </summary>
    public string PoiId { get; set; }
    /// <summary>
    /// 租户ID
    /// </summary>
    public string TenantCode { get; set; }

    public void PostConfigure(AppInfoOptions options, IConfiguration configuration)
    {
    }

    public void OnListener(AppInfoOptions options, IConfiguration configuration)
    {
        SXAPIURL = options.SXAPIURL;
        AppKey = options.AppKey;
        AppSecret = options.AppSecret;
        PoiId = options.PoiId;
        TenantCode = options.TenantCode;
    }
}