﻿
// 








namespace SafeCampus.SqlSugar;

/// <summary>
/// 前端控件作用类型常量
/// </summary>
public class EffTypeConst
{
    /// <summary>
    /// 输入框
    /// </summary>
    public const string INPUT = "input";

    /// <summary>
    /// 文本框
    /// </summary>
    public const string TEXTAREA = "textarea";

    /// <summary>
    /// 下拉框
    /// </summary>
    public const string SELECT = "select";

    /// <summary>
    /// 单选框
    /// </summary>
    public const string RADIO = "radio";

    /// <summary>
    /// 复选框
    /// </summary>
    public const string CHECKBOX = "checkbox";

    /// <summary>
    /// 日期选择器
    /// </summary>
    public const string DATEPICKER = "datepicker";

    /// <summary>
    /// 时间选择器
    /// </summary>
    public const string TIMEPICKER = "timepicker";

    /// <summary>
    /// 数字输入框
    /// </summary>
    public const string INPUT_NUMBER = "inputNumber";

    /// <summary>
    /// 滑动数字条
    /// </summary>
    public const string SLIDER = "slider";

    /// <summary>
    /// 下拉框
    /// </summary>
    public const string SWITCH = "switch";
}
