﻿
// 








namespace SafeCampus.SqlSugar;

/// <summary>
/// SqlSugar系统常量类
/// </summary>
public class SqlSugarConst
{
    /// <summary>
    /// 默认库ConfigId
    /// </summary>
    public const string DB_DEFAULT = "SafeCampus";

    /// <summary>
    /// 默认表主键
    /// </summary>
    public const string DB_PRIMARY_KEY = "Id";

    #region 数据库字段类型

    /// <summary>
    /// varchar(max)
    /// </summary>
    public const string N_VAR_CHAR_MAX = "nvarchar(max)";

    /// <summary>
    /// varchar(4000)
    /// </summary>
    public const string N_VAR_CHAR_4000 = "nvarchar(4000)";

    /// <summary>
    /// varchar(20)
    /// </summary>
    public const string N_VAR_CHAR_20 = "nvarchar(20)";

    /// <summary>
    /// mysql的longtext
    /// </summary>
    public const string LONG_TEXT = "longtext";

    /// <summary>
    /// sqlite的text
    /// </summary>
    public const string TEXT = "text";

    #endregion 数据库字段类型
}
