﻿
// 








namespace SafeCampus.System;

/// <summary>
///  组织树输出参数
/// </summary>
public class PositionTreeOutput
{
    /// <summary>
    /// 职位Id
    /// </summary>
    public long Id { get; set; }

    /// <summary>
    /// 名称
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 是否是职位
    /// </summary>
    public bool IsPosition { get; set; }

    /// <summary>
    /// 子项
    /// </summary>
    public List<PositionTreeOutput> Children { get; set; } = new List<PositionTreeOutput>();
}

/// <summary>
/// 组织选择器输出参数
/// </summary>
public class PositionSelectorOutput
{
    /// <summary>
    /// 组织Id或者职位Id
    /// </summary>
    public long Id { get; set; }

    /// <summary>
    /// 名称
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 子项
    /// </summary>
    public List<PositionSelectorOutput> Children { get; set; } = new List<PositionSelectorOutput>();
}
